using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Database.Repository;

namespace Pos.Setting.Category
{
    /// <summary>
    /// Interaction logic for EditProductGroupWindow.xaml
    /// </summary>
    public partial class EditProductGroupWindow : Window
    {
        private readonly int _id;

        public EditProductGroupWindow(string name, int id)
        {
            InitializeComponent();
            _id = id;
            txtProductGroup.Text = name;
        }

        private void btnEdit_Click(object sender, RoutedEventArgs e)
        {
            ProductGroupRepository categoryRepository = new ProductGroupRepository();
            categoryRepository.Edit(txtProductGroup.Text,_id);
            this.Close();
        }
    }
}
